org.springframework.aop.aspectj

## Class AspectJAfterThrowingAdvice

- java.lang.Object
- - org.springframework.aop.aspectj.AbstractAspectJAdvice
  - - org.springframework.aop.aspectj.AspectJAfterThrowingAdvice

All Implemented Interfaces:
  Advice, Interceptor, MethodInterceptor, AfterAdvice, AspectJPrecedenceInformation, Ordered

    public class AspectJAfterThrowingAdvice
    extends AbstractAspectJAdvice
    implements MethodInterceptor, AfterAdvice

Spring AOP advice wrapping an AspectJ after-throwing advice method.

Since:
  2.0
Author:
  Rod Johnson

### Field Summary

### Fields inherited from class org.springframework.aop.aspectj.AbstractAspectJAdvice

`aspectJAdviceMethod, JOIN_POINT_KEY`

### Fields inherited from interface org.springframework.core.Ordered

`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

### Constructor Summary

Constructors
Constructor and Description
`AspectJAfterThrowingAdvice(Method aspectJBeforeAdviceMethod, AspectJExpressionPointcut pointcut, AspectInstanceFactory aif)`

### Method Summary

Methods
`Object` `invoke(MethodInvocation mi)`
`boolean` `isAfterAdvice()` Return whether this is an after advice.
`boolean` `isBeforeAdvice()` Return whether this is a before advice.
`void` `setThrowingName(String name)`

### Methods inherited from class org.springframework.aop.aspectj.AbstractAspectJAdvice

`argBinding, buildSafePointcut, calculateArgumentBindings, createParameterNameDiscoverer, currentJoinPoint, getAspectClassLoader, getAspectInstanceFactory, getAspectJAdviceMethod, getAspectName, getDeclarationOrder, getDiscoveredReturningGenericType, getDiscoveredReturningType, getDiscoveredThrowingType, getJoinPoint, getJoinPointMatch, getJoinPointMatch, getOrder, getPointcut, invokeAdviceMethod, invokeAdviceMethod, invokeAdviceMethodWithGivenArgs, setArgumentNames, setArgumentNamesFromStringArray, setAspectName, setDeclarationOrder, setReturningName, setReturningNameNoCheck, setThrowingNameNoCheck, supportsProceedingJoinPoint, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AspectJAfterThrowingAdvice

    public AspectJAfterThrowingAdvice(Method aspectJBeforeAdviceMethod,
                              AspectJExpressionPointcut pointcut,
                              AspectInstanceFactory aif)

### Method Detail

#### isBeforeAdvice

    public boolean isBeforeAdvice()

Description copied from interface: `AspectJPrecedenceInformation`
Return whether this is a before advice.

Specified by:
  `isBeforeAdvice` in interface `AspectJPrecedenceInformation`

#### isAfterAdvice

    public boolean isAfterAdvice()

Description copied from interface: `AspectJPrecedenceInformation`
Return whether this is an after advice.

Specified by:
  `isAfterAdvice` in interface `AspectJPrecedenceInformation`

#### setThrowingName

    public void setThrowingName(String name)

Overrides:
  `setThrowingName` in class `AbstractAspectJAdvice`

#### invoke

    public Object invoke(MethodInvocation mi)
                  throws Throwable

Specified by:
  `invoke` in interface `MethodInterceptor`
Throws:
  `Throwable`